Contents

# ChDrive Statement

Izmjena trenutnog uređaja.

Some DOS-specific file and directory functions are no longer provided in LibreOffice, or their function is only limited. For example, support for the ChDir, ChDrive and CurDir functions is not provided. Some DOS-specific properties are no longer used in functions that expect file properties as parameters (for example, to differentiate from concealed files and system files). This ensures the greatest possible level of platform independence for LibreOffice. Therefore this feature is subject to removal in a future release.

The ScriptForge library in LibreOffice 7.1 introduces the FileSystem service with methods to handle files and folders in user scripts.

### Syntax:

      ChDrive Text As String

### Parameters:

Text: Any string expression that contains the drive letter of the new drive. If you want, you can use URL notation.

Uređaju se mora pridijeliti veliko slovo. U Windows-ima, slovo koje pridjelite uređaju je ograničeno s postavkom LASTDRV. Ako je uređaj nazvan kao niz od više znakoca, samo prvo slovo je važeće. Ako pokušate pristupirit ne postojećem uređaju, javlja se greška i forma s dijalogom u koju možete upisati kako je do greške došlo.

### Error codes:

5 Invalid procedure call

68 Device not available

76 - Putanja nije pronađena

### Example:

      Sub ExampleChDrive
          ChDrive "D" REM Moguće jedino ako uređaj 'D' postoji.
      End Sub

Related Topics

ScriptForge.FileSystem service

ScriptForge.TextStream service